[arch-commits] Commit in python-configargparse/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Jan 15 11:45:20 UTC 2019


    Date: Tuesday, January 15, 2019 @ 11:45:19
  Author: felixonmars
Revision: 423323

archrelease: copy trunk to community-any

Added:
  python-configargparse/repos/community-any/PKGBUILD
    (from rev 423322, python-configargparse/trunk/PKGBUILD)
Deleted:
  python-configargparse/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  113 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 56 insertions(+), 57 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-01-15 11:44:58 UTC (rev 423322)
+++ PKGBUILD	2019-01-15 11:45:19 UTC (rev 423323)
@@ -1,57 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-configargparse
-pkgname=('python-configargparse' 'python2-configargparse')
-pkgver=0.13.0
-pkgrel=2
-pkgdesc='A drop-in replacement for argparse that allows options to also be set via config files and/or environment variables'
-arch=('any')
-url='https://github.com/zorro3/ConfigArgParse'
-license=('MIT')
-makedepends=('python-setuptools' 'python2-setuptools')
-checkdepends=('python-yaml' 'python2-yaml' 'python2-mock')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/bw2/ConfigArgParse/archive/$pkgver.tar.gz")
-sha512sums=('797c5edbc51353797204152b5c908ddb4e883a98f247430448d774957fd841286ea1a3cb87db3186e683a65f566cfce0a815e4bd558b9c823d9226d856341ca9')
-
-prepare() {
-  cp -a ConfigArgParse-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/ConfigArgParse-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/ConfigArgParse-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/ConfigArgParse-$pkgver
-  python setup.py test || warning 'Ignoring TestWrappingMetavar failure'
-
-  cd "$srcdir"/ConfigArgParse-$pkgver-py2
-  python2 setup.py test
-}
-
-package_python-configargparse() {
-  depends=('python')
-  optdepends=('python-yaml: for YAML support')
-
-  cd ConfigArgParse-$pkgver
-
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-configargparse() {
-  depends=('python2')
-  optdepends=('python2-yaml: for YAML support')
-
-  cd ConfigArgParse-$pkgver-py2
-
-  python2 setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-configargparse/repos/community-any/PKGBUILD (from rev 423322, python-configargparse/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-01-15 11:45:19 UTC (rev 423323)
@@ -0,0 +1,56 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-configargparse
+pkgname=('python-configargparse' 'python2-configargparse')
+pkgver=0.14.0
+pkgrel=1
+pkgdesc='A drop-in replacement for argparse that allows options to also be set via config files and/or environment variables'
+arch=('any')
+url='https://github.com/zorro3/ConfigArgParse'
+license=('MIT')
+makedepends=('python-setuptools' 'python2-setuptools')
+checkdepends=('python-yaml' 'python2-yaml' 'python2-mock')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/bw2/ConfigArgParse/archive/$pkgver.tar.gz")
+sha512sums=('e48ca61027abf0e0acb8414b6d89b276b186b4f714368b8c33975537c2264bb2d81f18cf3013b99d9ce752014361afa973f704b3f6957ca4b98319bb0ca5ca8c')
+
+prepare() {
+  cp -a ConfigArgParse-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/ConfigArgParse-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/ConfigArgParse-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/ConfigArgParse-$pkgver
+  python setup.py test || warning 'Ignoring TestWrappingMetavar failure'
+
+  cd "$srcdir"/ConfigArgParse-$pkgver-py2
+  python2 setup.py test
+}
+
+package_python-configargparse() {
+  depends=('python')
+  optdepends=('python-yaml: for YAML support')
+
+  cd ConfigArgParse-$pkgver
+
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-configargparse() {
+  depends=('python2')
+  optdepends=('python2-yaml: for YAML support')
+
+  cd ConfigArgParse-$pkgver-py2
+
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list